<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.ahmad.usbserial">

    <uses-feature android:name="android.hardware.usb.host"
        android:required="true"/>
    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".ffinal.MainActivity"
            android:screenOrientation="portrait">

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED" />
            </intent-filter>

            <meta-data
                android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED"
                android:resource="@xml/device_filter" />
        </activity>
        <activity
            android:name=".DeviceListActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme">
            <intent-filter>
                <action android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED" />
            </intent-filter>

            <meta-data
                android:name="android.hardware.usb.action.USB_DEVICE_ATTACHED"
                android:resource="@xml/device_filter" />
        </activity>
        <activity
            android:name=".SerialConsoleActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme" />

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="fc8e9c55c478f7a0117540879350b7ffbf76dfe4" />

        <activity
            android:name=".ffinal.ActivityDevices"
            android:label="@string/title_activity_devices"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar">

        </activity>
        <activity
            android:name=".ffinal.ActivityExample"
            android:screenOrientation="portrait">

        </activity>

        <service
            android:name=".ffinal.UsbService"
            android:enabled="true"
            android:exported="true"></service>
    </application>

</manifest>